############################################################################
#
#  Program:         SuperLU_DIST
#
#  Module:          make.inc
#
#  Purpose:         Top-level Definitions
#
#  Creation date:   February 4, 1999   version alpha
#
#  Modified:	    September 1, 1999  version 1.0
#                   March 15, 2003     version 2.0
#
# 		    January 18, 2006   Sam Adams
#                                      General Dynamics - Network Systems
#                       works for i386 Linux, with LAM-MPI 7.1.1 and GCC 4.
#
############################################################################
#
#  The machine (platform) identifier to append to the library names
#
PLAT		= _i386

#
#  The name of the libraries to be created/linked to
#
DSuperLUroot 	= /home/chtong/HYPRE/linear_solvers/FEI_mv/SuperLU_DIST_2.2
DSUPERLULIB   	= $(DSuperLUroot)/lib/libsuperlu_dist_2.0.a
#
BLASDEF	     	= -DUSE_VENDOR_BLAS
BLASLIB      	= /usr/lib/libblas.so.3
METISLIB	=
PARMETISLIB	=
LIBS            = $(DSUPERLULIB) $(BLASLIB) $(PARMETISLIB) $(METISLIB)

#
#  The archiver and the flag(s) to use when building archive (library)
#  If your system has no ranlib, set RANLIB = echo.
#
ARCH         	= ar
ARCHFLAGS    	= cr
RANLIB       	= ranlib

############################################################################
# C compiler setup
CC           	= mpicc
# CFLAGS should be set to be the C flags that include optimization
CFLAGS          = -pipe -O2
#
# NOOPTS should be set to be the C flags that turn off any optimization
NOOPTS		= 
############################################################################
# FORTRAN compiler setup
FORTRAN         = mpif77
FFLAGS 		= 
############################################################################
#LOADER	        = mpif77
LOADER	        = mpicc
LOADOPTS	= 
############################################################################
#  C preprocessor defs for compilation (-DNoChange, -DAdd_, or -DUpCase)
#
#  Need follow the convention of how C calls a Fortran routine.
#
CDEFS        = -DAdd__ 
